For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • PUTUpdate Resident: MRI
        • POSTCreate Resident Note: MRI
        • POSTCreate Resident file: MRI - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIResidents

Get a resident by ID

GET
/v1/residents/:id
GET
/v1/residents/:id
$curl https://api.propexo.com/v1/residents/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "00000123",
17 "address_1_alternate": null,
18 "address_1": null,
19 "address_2_alternate": null,
20 "address_2": null,
21 "balance_in_cents": null,
22 "city_alternate": null,
23 "city": null,
24 "country_alternate": null,
25 "country": null,
26 "custom_data": {},
27 "date_of_birth": null,
28 "email_1": "jane.doe@example.com",
29 "email_2": null,
30 "first_name": "Jane",
31 "is_employee": null,
32 "last_name": "Doe",
33 "late_balance_in_cents": null,
34 "middle_name": null,
35 "notes": null,
36 "phone_1_type": "MOBILE",
37 "phone_1": "5555555555",
38 "phone_2_type": "OTHER",
39 "phone_2": "5555555554",
40 "state_alternate": null,
41 "state": null,
42 "zip_alternate": null,
43 "zip": null,
44 "pets": [
45 {
46 "id": "clwktsp9v000008l31iv218hn",
47 "created_at": "2024-03-21T15:38:08.337Z",
48 "updated_at": "2024-03-22T10:59:45.119Z",
49 "last_seen": "2024-03-22T10:59:45.119Z",
50 "x_id": "89",
51 "name": null,
52 "type": "D",
53 "breed": null,
54 "gender_raw": null,
55 "age_in_years": null,
56 "weight_in_pounds": null,
57 "is_fixed": null,
58 "is_service_animal": null,
59 "notes": null,
60 "custom_data": {}
61 }
62 ],
63 "vehicles": [
64 {
65 "id": "clwktsp9v000008l31iv218hn",
66 "created_at": "2024-03-21T15:38:08.337Z",
67 "updated_at": "2024-03-22T10:59:45.119Z",
68 "last_seen": "2024-03-22T10:59:45.119Z",
69 "x_id": "string",
70 "make": "string",
71 "model": "string",
72 "color": "string",
73 "year": "string",
74 "license_plate_number": "string",
75 "license_plate_state": "string",
76 "notes": "string",
77 "custom_data": {}
78 }
79 ],
80 "integration_id": "clwh5u07w000508me66sfh3um",
81 "integration_vendor": "MRI",
82 "property_id": "clwi5xiix000008l6ctdgafyh",
83 "x_lease_id": "string",
84 "leases_meta_data": [
85 {
86 "lease_id": "cmbz5jylv9133791496c6cf2a8d7apq",
87 "x_resident_type": "Other Resident",
88 "resident_type_normalized": "OTHER",
89 "move_in_date": null,
90 "move_out_date": null,
91 "notice_date": null,
92 "custom_data": {},
93 "last_seen": "2024-03-22T10:59:45.119Z"
94 }
95 ]
96 }
97}
Get a resident by ID
Was this page helpful?
Previous

Update Resident: MRI

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error